#mastermind {
    margin: 30px auto 10px;
    max-width: 400px;
}

/* Heading */
.M {
    background: #FFB400;
}

.A {
    background: #FF5A5F;
}

.S {
    background: #8CE071;
}

.T {
    background: #00D1C1;
}

.E {
    background: #007A87;
}

.R {
    background: #7B0051;
}

.MIND {
    background: white;
    color: black;
}

h1 {
    display: flex;
    justify-content: flex-start;
}

h1 span {
    color: white;
    padding: 0 5px;
}

/* Rule Section */
.rule-info {
    max-width: 400px;
    box-sizing: border-box;
}

#rules {
    border: #EAEBE9 1px solid;
    padding: 10px;
}

p.hide-rules {
    display: none;
}

p.show-rules {
    display: block;
}

/* Gameboard section */
.gameboard {
    display: flex;
    gap: 30px;
}

.board {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

input[type="radio"] {
    display: none;
}

input[type="radio"]+label {
    display: inline-block;
    width: 40px;
    height: 40px;
    margin: -5px 4px 0 0;
    vertical-align: middle;
    cursor: pointer;
    border: #EAEBE9 2px solid;
    border-radius: 50%;
}

/* color picker */
.color-picker {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

#color-yellow input[type="radio"]+label {
    background: #FFB400;
}

#color-persimmon input[type="radio"]+label {
    background: #FF5A5F;
}

#color-green input[type="radio"]+label {
    background: #8CE071;
}

#color-blue input[type="radio"]+label {
    background: #00D1C1;
}

#color-dark-blue input[type="radio"]+label {
    background: #007A87;
}

#color-siren input[type="radio"]+label {
    background: #7B0051;
}

.color-picker input[type="radio"]:checked+label {
    border: 2px solid black;
}

/* color decode rows */
.row {
    display: flex;
    gap: 10px;
    padding: 10px 0 10px 10px;
    pointer-events: none;
}

.decode-row {
    display: flex;
    gap: 10px;
}

.decode-row div {
    width: 2.5em;
    height: 2.5em;
    border-radius: 50%;
    border: #EAEBE9 2px solid;
}

.submit {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2em;
}

.submit-button {
    width: 5px;
    height: 12px;
    border-width: 0px 0px 5px 5px;
    border-style: solid;
    border-color: #B4BB69;
    transform: rotate(-45deg);
}

.active-row {
    border: #A8A8A8 1px solid;
    pointer-events: all;
}

.hidden {
    visibility: hidden;
}

.hint {
    display: inline-block;
    position: relative;
    width: 10px;
    height: 10px;
    margin-right: 10px;
    border: 1px solid #28222D;
    border-radius: 50%;
}

.hint-row {
    width: 60px;
    padding: auto;
    margin: auto;
}

.hint.exact-match {
    background-color: #555461;
}

.hint.none-match:before,
.hint.none-match:after {
    position: absolute;
    left: 4px;
    top: 1px;
    content: ' ';
    height: 8px;
    width: 2px;
    background-color: #333;
}

.hint.none-match:before {
    transform: rotate(45deg);
}

.hint.none-match:after {
    transform: rotate(-45deg);
}

/* endgame section */
.endgame {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    width: 300px;
    z-index: 3;
    box-shadow: 0px 0px 40px 0px rgb(0 0 0 / 75%);
    text-align: center;
    color: #FFFFFF;
    display: none;
}

.play-again-btn {
    height: 40px;
    padding: 0 20px;
    line-height: 40px;
    border-radius: 40px;
    background: #FFFFFF;
    border: 2px solid #000000;
    color: black;
    letter-spacing: 1px;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.play-again-btn:hover {
    color: #FFFFFF;
    background: #000000;
}

.success {
    background-color: green;
    display: block;
}

.failure {
    background-color: #DB4445;
    display: block;
}